Groovy 1.7.10

## org.codehaus.groovy.syntax
[Java] Class TokenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException

    public class TokenException
    extends SyntaxException

Constructor Summary
`TokenException(String message, Token token)`
`TokenException(String message, Throwable cause, int line, int column)`

Method Summary
`int` | `getEndColumn()`

Methods inherited from class SyntaxException
getEndColumn, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TokenException

    public TokenException(String message, Token token)

### TokenException

    public TokenException(String message, Throwable cause, int line, int column)

Method Detail

### getEndColumn

    public int getEndColumn()

Copyright © 2003-2010 The Codehaus. All rights reserved.